package com.njcn.pojo.file;

import jcifs.smb.NtlmPasswordAuthentication;

/**
 * @Author: Sunwei 【sunW2016@163.com】
 * @Description:
 * @Date: Create in 20:02 2018/3/5
 * @Modified By:
 */
public class FileProperty {
	/**
	 * 文件路径
	 */
	private String filePath;
	/**
	 * 文件名称
	 */
	private String fileName;
	/**
	 * 文件后缀名
	 */
	private String fileSuffix;

	/**
	 * 文件类型： 1、网络共享文件 2、本地文件
	 */
	private Integer fileType = 2;

	/**
	 * 网络共享文件身份验证信息
	 */
	private NtlmPasswordAuthentication auth;

	public FileProperty(String filePath, String fileName, String fileSuffix) {
		this.filePath = filePath;
		this.fileName = fileName;
		this.fileSuffix = fileSuffix;
	}

	public FileProperty(String filePath, String fileName, String fileSuffix, Integer fileType,
			NtlmPasswordAuthentication auth) {
		this(filePath, fileName, fileSuffix);
		this.fileType = fileType;
		this.auth = auth;
	}

	public Integer getFileType() {
		return fileType;
	}

	public void setFileType(Integer fileType) {
		this.fileType = fileType;
	}

	public NtlmPasswordAuthentication getAuth() {
		return auth;
	}

	public void setAuth(NtlmPasswordAuthentication auth) {
		this.auth = auth;
	}

	public String getFilePath() {
		return filePath;
	}

	public void setFilePath(String filePath) {
		this.filePath = filePath;
	}

	public String getFileName() {
		return fileName;
	}

	public void setFileName(String fileName) {
		this.fileName = fileName;
	}

	public String getFileSuffix() {
		return fileSuffix;
	}

	public void setFileSuffix(String fileSuffix) {
		this.fileSuffix = fileSuffix;
	}
}
